Page MenuHomePhabricator

Payments wiki form variant with employer field
Closed, ResolvedPublic

Description

Hey @Ejegg,

Members of Major Gifts, Ops and Online FR have been talking about ways to boost our matching gift program. We'd like to test a form variant in a banner that includes a new Employer contact field in the Billing Information section of payments wiki. We'll run it against a control banner pointing to a standard payments wiki form to see if it hurts conversion.

@Ejegg, could you tell us if this is possible and what would be necessary to implement?

@NNichols and @jrobell, I can think of two related questions we'll want to answer eventually:

  1. Would this field be required?
  2. Do we want to include any explainer text with it, like "We'll tell you if your employer is part of our matching gift program."

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 28 2019, 8:42 PM

We can try to look into this soon. However we're pretty wary of putting fields right into the banner for security reasons. Adding an extra field to the form isn't usually that difficult.

spatton updated the task description. (Show Details)EditedMar 28 2019, 8:49 PM

For sure @DStrine ! I think I used confusing language in my initial task; we won't be putting any new fields in the banner, just running a test w/ one banner pointing to the standard payments wiki form vs one pointing to this employer field variant.

Thanks for the fast response.

Nora's traveling, so I'm jumping in.

  1. The field should not be required.
  2. Yes, we can include explainer text. "See if your employer will match your donation!" or somesuch....
mepps added a subscriber: mepps.Apr 9 2019, 2:11 PM

@CaitVirtue will we be checking if their employer matches the gift? If I saw that text on a donation form, I'd expect an automatic lookup.

@mepps It's a great question and I just mentioned this to Caitlin V yesterday. The company we are thinking about working with after testing would integrate their own search box into our donation form. This would be an automatic lookup that would result in an automatic email being sent to the donor after the donation form has been submitted with the matching gift company details and links to start the process.

For this I was thinking we will have to come up with some kind of email copy to send to these donors with perhaps the link to our current matching gift company lookup? https://www.matchinggifts.com/wikimedia_iframe
So for testing without the automatic look up we might have to think of different text. Maybe "Find out if your company matches gifts!" followed by an email?

Furthermore, the sending of a follow up email - can this be automated in some way or would this be a manual job on my end?

I also want to make sure we're testing this in a way that gives Online good data about the impact of adding this field. @jrobell Can you chime in as to if what's being suggested works for you and your crew?

This is getting a lot larger and more complicated than just a test of adding a field to the form

@mepps It's a great question and I just mentioned this to Caitlin V yesterday. The company we are thinking about working with after testing would integrate their own search box into our donation form.

It would have helped to know this form the beginning. Which company are you working with? Could you send some info on email to fr-tech? We're very resistant to 3rd party content on the forms. One can't assume that this is just going to work and we may have to implement something on our own.

For this I was thinking we will have to come up with some kind of email copy to send to these donors with perhaps the link to our current matching gift company lookup? https://www.matchinggifts.com/wikimedia_iframe
So for testing without the automatic look up we might have to think of different text. Maybe "Find out if your company matches gifts!" followed by an email?
Furthermore, the sending of a follow up email - can this be automated in some way or would this be a manual job on my end?

This is another significant change. It sounds like a new unique thank you email.

Do you have a full writeup on this somewhere? It might be useful to make a mini flow chart to understand the donor experience just so we're all clear.

Right now, if we want a simple test, we can offer an optional field where the donor hand types their employer. Maybe the next version is trying to add in some automatic lookup with an email (or maybe the email is version 3?).

Yes, please let's start with a simple test. I believe that's what @jrobell recommended

Hello all

I've started work on the front-end side of this ticket. I wanted to confirm the location of the new form element with you all, does the mockup screenshot below look good?

I initially dropped it in below first & last name fields, but then it felt like we were asking for the employment address immediately following the employer name, and I felt like that could be confusing, so I moved it down below the address fields.

@jgleeson Moving it there sounds right.
I think the field should read "Employer Name (Optional)".

Sounds great! Thanks all for moving forward on this. @spatton will follow up with some more ideas about how we would set up the test and a suggested timeline. TY!

Hello hello @jgleeson, and cc @NNichols as an FYI.

The banner team is on board to test this in the U.S. when the form variants are ready. We've talked and we'd like to run a 4-way test. Something like this:

Variant 1 = control (no employer field)

Variant 2 = minimum viable product (just the field w/ Nora's required placeholder text) - screenshot:


Variant 3 = field with additional explainer text - screenshot:

Variant 4 = field with additional alternate explainer text - screenshot:

The style of the explainer text matches the emailExplain form variant we use in opt-in countries. The copy I've included in my screenshots is just placeholder!

But Jack, could you go ahead and get these set up, and we'll confirm the final text for the two explainer variants? Or tell me if there's a better process. Thanks much.

thanks for the update @spatton @jrobell @NNichols

I'm gonna pick back up on this today along with @Cstone, and then we can chat more once we have something functional to show you :)

Thanks all, just sharing some additional notes gleaned from related emails/IRC:

  1. @jgleeson confirmed that the data from this field will be recorded in civi, though it's not clear yet what field type will be appropriate. There's an existing employer entity that may or may not be suitable; alternatively, could be something like a note field.
  1. @NNichols would like to know if it's possible to receive something like a weekly report containing a list of CIDs with new/modified values in this employer field. That's not a blocker for a first test but something to consider for iteration.
  1. Question for @NNichols and anyone following this thread: does anyone know of an existing donor flow in which we are collecting employer information? Is there some form out there with an equivalent of what we're doing with this test?

Thanks Sam! Thoughts in your Qs:

  1. In an ideal world it would be great if the information went to the current employer field, but I also recognize that since the donor will have control over how they enter the name it might not match what we currently have in civi.
  1. Currently there are 2 ways that we collect employer information: 1. I manually record this in the donor's record (Current Employer field) when I verify individual gifts. 2. The employer information is imported into a donor's record when Leanne imports large Benevity files.

Let me know if if answers your question or if you need more explanation.

Change 507412 had a related patch set uploaded (by Jgleeson; owner: Jgleeson):
[mediawiki/extensions/DonationInterface@master] WIP: add employer field variant

https://gerrit.wikimedia.org/r/507412

Change 509103 had a related patch set uploaded (by Jgleeson; owner: Jgleeson):
[wikimedia/fundraising/crm@master] WIP: Added support for the new 'employer' field being captured within the payments wiki employer form variant.

https://gerrit.wikimedia.org/r/509103

@jgleeson Is the employer field now active in civi? Which table is it in?

@Jksamra We will be using a core civicrm field, civicrm_contact.organization_name . We haven't yet deployed the form changes to collect the data.

Change 511785 had a related patch set uploaded (by Jgleeson; owner: Jgleeson):
[mediawiki/extensions/DonationInterface@master] WIP add optional form fields support

https://gerrit.wikimedia.org/r/511785

Change 511785 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] add optional form fields behaviour

https://gerrit.wikimedia.org/r/511785

Change 507412 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] add employer field variant

https://gerrit.wikimedia.org/r/507412

Change 513183 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] Tiny fixes for optional field behavior

https://gerrit.wikimedia.org/r/513183

Change 513184 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] Move requiredFields overrides to config

https://gerrit.wikimedia.org/r/513184

Change 513183 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Tiny fixes for optional field behavior

https://gerrit.wikimedia.org/r/513183

Change 513184 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Move requiredFields overrides to config

https://gerrit.wikimedia.org/r/513184

Change 513282 had a related patch set uploaded (by Jgleeson; owner: Jgleeson):
[mediawiki/extensions/DonationInterface@master] Remove unused commented out test from employer field variant patch.

https://gerrit.wikimedia.org/r/513282

Change 513311 had a related patch set uploaded (by Jgleeson; owner: Jgleeson):
[mediawiki/extensions/DonationInterface@master] WIP added ui explainer text for employer field

https://gerrit.wikimedia.org/r/513311

@NNichols @spatton @CaitVirtue

There is a little idiosyncrasy with the system and we need your input. In order to set up these variants we need to select which countries they should be shown in. Could you give us a list of preferred countries for the test?

Definitely for our English language countries. Corporate matching is mostly a feature of US-based companies, but we know some of the larger companies have staff in many locations.

@NNichols Are there matching gift donations of any significance from non-English speaking countries?

No. There is only a small handful (5 or 6) donations made from non-English speaking countries a year.
As Caitlin said definitely other English speaking countries.

Change 513311 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] added ui explainer text for employer field

https://gerrit.wikimedia.org/r/513311

Change 509103 merged by jenkins-bot:
[wikimedia/fundraising/crm@master] Added support for the new 'employer' field

https://gerrit.wikimedia.org/r/509103

Change 513581 had a related patch set uploaded (by Jgleeson; owner: Jgleeson):
[mediawiki/extensions/DonationInterface@master] minor update to employer3 variant explainer text.

https://gerrit.wikimedia.org/r/513581

Hi @spatton, @CaitVirtue, @NNichols

We've deployed the employer field variants. However, I've noticed that there is a word missing in the text!!! on the extended explainer version, so I've pushed a patch to fix this and removed the hard newline I added. Once that's reviewed I'll push the fix out today. @DStrine can I break the no-release Friday tradition for text changes?!?!? :)

If you'd like to take a look at what's there so far, here are some links:

These variants will work for the following country codes: US, CA, GB, IE, AU, NZ
Also, the field is optional as indicated by the placeholder text.

Huge thank you for your patience on this everyone. I made a couple oversights during the work on this resulting in a few attempts before getting it over the line. I also learnt that my brain has an unhelpful habit of filtering out comment input when I read phabricator tickets... which it really needs to stop doing! :)

Change 513581 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] minor update to employer3 variant explainer text.

https://gerrit.wikimedia.org/r/513581

Change 513282 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Remove unused commented out test from employer field variant patch.

https://gerrit.wikimedia.org/r/513282

The fix to add in the missing word on the employer3 variant and remove the hard newline has been released.

DStrine closed this task as Resolved.Jun 11 2019, 7:51 PM

Change 519151 had a related patch set uploaded (by Jgleeson; owner: Jgleeson):
[wikimedia/fundraising/crm@master] Added support for mapping 'employer' value to civicrm custom field 'Employer_Name'

https://gerrit.wikimedia.org/r/519151

From tech talk - we have created a new custom field under 'Communication' called 'Employer Name' - Jack has a patch to start writing to that . A couple of follow ups

  • existing data - Jack says this is only him & Sam but will do quick check
  • extended reports not showing contact custom data - Eileen to check - I think there might be an existing fix to pull in
  • add custom field to dev env (Eileen will do this as it's tightly tied to adding other fields which is my today-job & easier to do together than deal with merge conflicts)
  • reload triggers to start logging data - logging won't be on until we do this. @Jgreen do you have any other outages planned that we could do this in or does it need it's own outage? I feel it's non-urgent
  • unit test...

@Eileenmcnaughton my test donation on live had the employer name 'Dads Inc' in case you need to search on it.

Change 519173 had a related patch set uploaded (by Eileen; owner: Eileen):
[wikimedia/fundraising/crm@master] Partial convert of Communications custom group to update_custom_fields

https://gerrit.wikimedia.org/r/519173

Change 519174 had a related patch set uploaded (by Eileen; owner: Eileen):
[wikimedia/fundraising/crm@master] Add new employer name field

https://gerrit.wikimedia.org/r/519174

Change 519174 abandoned by Eileen:
Add new employer name field

https://gerrit.wikimedia.org/r/519174

Change 519151 merged by Ejegg:
[wikimedia/fundraising/crm@master] Added support for mapping 'employer' value to civicrm custom field 'Employer_Name'

https://gerrit.wikimedia.org/r/519151

  • reload triggers to start logging data - logging won't be on until we do this. @Jgreen do you have any other outages planned that we could do this in or does it need it's own outage? I feel it's non-urgent

I don't have any planned outages, but I do have some queue work I'd like to get done eventually. I'm happy to do the triggers either as a quick downtime or as part of a larger maintenance window.

Change 519173 merged by jenkins-bot:
[wikimedia/fundraising/crm@master] Partial convert of Communications custom group to update_custom_fields

https://gerrit.wikimedia.org/r/519173

DStrine closed this task as Resolved.Jul 9 2019, 8:01 PM

Hey @jgleeson, we're interested in doing a new round of testing on this employer field variant. The types of things we'd like to test include:

  • A field variant with alternate placeholder text (current best = Employer name (Optional) ; alternates = Employer (Optional) and Employer (not described as being Optional, though it can remain technically optional)
  • A few descriptive texts variant (current best from our first test = the short variant, We'll let you know if your employer will match your gift.

Are the placeholder variants challenging to implement?

Do you have capacity to set up either of these types of variants by next Monday or so? We don't necessarily have to test both the same week.

Thanks!

Since this is a new round of work, I have made a new task: T229343